import { Feature } from '@common-stack/client-react';
import { SERVER_TYPES } from 'common';
import { extensionModule } from './inversify-containers/module.js';
import { registerCommandEpic, deregisterCommandEpic, executeCommandEpic } from './services/command-epic.js';
import { getActiveContributionsEpic, registerContributionsEpic, deregisterContributionsEpic } from './services/contribution-epics.js';
import { onLocationChangedToLoadExtEpic } from './epics/load-extension-script.js';

const extensionServiceGen = container => ({
  model: container.get(SERVER_TYPES.IModelService),
  viewer: container.get(SERVER_TYPES.IViewerService),
  contribution: container.get(SERVER_TYPES.IContributionRegistry),
  commands: container.get(SERVER_TYPES.ICommandRegistry)
});
var extensions = new Feature({
  epic: [onLocationChangedToLoadExtEpic, getActiveContributionsEpic, registerCommandEpic, registerContributionsEpic, deregisterContributionsEpic, deregisterCommandEpic, executeCommandEpic],
  // clientStateParams: [{ resolvers, typeDefs: editorSchema }],
  // routeConfig: filteredRoutes,
  createContainerFunc: extensionModule,
  createServiceFunc: extensionServiceGen
});

export { extensions as default };
//# sourceMappingURL=module.js.map
